Estimotes.Android

Hi ..

I'm trying to install https://www.nuget.org/packages/Estimotes-Xamarin/
from either NuGet or Xamarin Component store (Into VS 2013) - but the install fails in both cases.

Output from Package Manager Console:

PM> Install-Package Estimotes-Xamarin
Installing 'Estimotes-Xamarin 1.0.20140808.1'.
Successfully installed 'Estimotes-Xamarin 1.0.20140808.1'.
Adding 'Estimotes-Xamarin 1.0.20140808.1' to AndroidBeacon.
Uninstalling 'Estimotes-Xamarin 1.0.20140808.1'.
Successfully uninstalled 'Estimotes-Xamarin 1.0.20140808.1'.
Install failed. Rolling back...
Install-Package : Cannot get libraries from incompatible component
At line:1 char:16

  • Install-Package <<<< Estimotes-Xamarin
    • CategoryInfo : NotSpecified: (:) [Install-Package], InvalidOperationException
    • FullyQualifiedErrorId : NuGetCmdletUnhandledException,NuGet.PowerShell.Commands.InstallPackageCommand

Posts

  • mattwardmattward GBMember Xamurai

    The only restriction on Estimotes-Xamarin is that it needs to be installed into a project that targets Android 4.3. This will prevent you installing the NuGet package if the project does not satisfy this requirement however the Component will still install but you may have problems later on.

    The error you have posted looks a bit odd. The "Cannot get libraries from incompatible component" is an error message from the Component installer but it looks as though you are installing the NuGet package. I am not sure how this would happen.

    I would try cleaning up/removing the Components directory inside your project and also look for any references to the component in your project file and remove them. Then try the NuGet package again.

  • Yeah, it's kind of weird.
    I have tried to change the project to target SDK 18 (was 19) but that didn't change anything.

Sign In or Register to comment.